Confirm the reservation
This method confirms the reservation previously made in our systems.
Access method
POST /ShoppingCart/Sale
Request structure
ShoppingCartId: (string)Required. Cart identifier.PartnerSaleId: (string)Required. Partner identifier.-
InsurancePolicyId: (string)Optional. Refund insurance policy identifier.Information
This identifier is obtained when calling check available policies. That function returns a list of available policies with their identifiers (
Id). That is the identifier that must be used in this field. -
DiscountCouponCodes: (list)Optional. List of coupon codes (discounts/promotions) issued by the venue through this platform.(string): (list)Required. Coupon code.
Client: (object)Optional. Customer information. If the sale contains hotels, this property is mandatory. If it only contains activities, this parameter depends on the configuration agreed with the partner.FullName: (string)Required. Name.Surname: (string)Required. Surname.DocumentIdentifier: (string)Required. Identity document.PhoneNumber: (string)Required. Phone number.Email: (string)Required. Email address.
PaymentMethod: (string)Optional. Payment method information. It only needs to be filled in when the partner has a debit contract.PaymentMethodType: (int)Required. Payment method identifier.ReturnUrlOk: (string)Required. URL that will be notified if the payment succeeds.ReturnUrlKo: (string)Required. URL that will be notified if the payment fails.SendByEmail: (boolean)Required. Indicates that we want to send the customer a payment link by email, if the option is available. See PaymentMethods.PaymentMethod.EnableSendByEmail.
In this step you can send the answers to the sale, provider and client level questions. If they were already sent when reserving, they can be sent again here. See the introduction to question profiles.
-
QuestionsProfiles: (list)Optional. List of question profiles with their answers. Used to answer questions at the sale, provider and client levels. Ticket level questions are answered when adding the product to the cart, not here. See the introduction to question profiles to understand each level.QuestionsProfileId: (string)Required. Question profile identifier. It is obtained from the catalog (SaleQuestionProfileIds,ClientQuestionProfileIds,ProviderQuestionsProfileIds) and from checking question profiles.Questions: (list)Required. Answers to the profile questions.QuestionId: (string)Required. Question identifier (the question'sIdfield returned by checking question profiles).Question: (string)Optional. Question text. Informational.- Value property: depending on the question's
DataType, one of the following properties must be filled in:StringValue(string) /StringCollectionValue(list).BooleanValue(boolean) /BooleanCollectionValue(list).IntegerValue(int) /IntegerCollectionValue(list).DecimalValue(decimal) /DecimalCollectionValue(list).DateTimeValue(dateTime) /DateTimeCollectionValue(list).BinaryValue(string) /BinaryCollectionValue(list). File content encoded in base64.
BinaryMimeType: (string)Optional. File MIME type. Only forDataType= 12 or 13.BinaryExtension: (string)Optional. File extension. Only forDataType= 12 or 13.
Data type (
DataType) → answer propertyThe
DataTypedetermines which property the answer to the question must be sent in.DataTypeType Answer property 0 Text StringValue1 List of texts StringCollectionValue2 Boolean BooleanValue3 List of booleans BooleanCollectionValue4 Date DateTimeValue5 List of dates DateTimeCollectionValue6 Integer number IntegerValue7 List of integers IntegerCollectionValue8 Decimal number DecimalValue9 List of decimals DecimalCollectionValue10 Select one value from a predefined set ( Values)StringValue11 Select multiple values from a predefined set ( Values)StringCollectionValue12 File BinaryValue(+BinaryMimeType,BinaryExtension)13 List of files BinaryCollectionValue(+BinaryMimeType,BinaryExtension)
Request example
Examples
{
"ShoppingCartId": "{{ShoppingCartId}}",
"PartnerSaleId": "{{PartnerSaleId}}",
"DiscountCouponCodes": [],
"Client": {
"FullName": "Sylvanas",
"Surname": "Windrunner",
"DocumentIdentifier": "91039185",
"PhoneNumber": "34123456789",
"Email": "sylvanas@SanctumofDomination.com"
},
"PaymentMethod": {
"PaymentMethodType": 1,
"ReturnUrlOk": "https://someurl.local/ok",
"ReturnUrlKo": "https://someurl.local/ko",
"SendByEmail": false
},
"QuestionsProfiles": [
{
"QuestionsProfileId": "sale7yq2k9wla",
"Questions": [
{
"QuestionId": "qorigen3k9wla",
"StringValue": "web"
}
]
},
{
"QuestionsProfileId": "cli9q2k9wla3c",
"Questions": [
{
"QuestionId": "qnews3k9wla3c",
"BooleanValue": true
}
]
}
]
}
Response structure
PaymentRedirectUrl: (string). For partners with debit payment, this property indicates the URL where the customer must be redirected to complete the payment.-
ExperticketSales: (list). List of associated sales.ExperticketSale: (object). Sale information.Id: (string). Sale identifier.FinancialRatios: (object). Economic concepts of a sale.ReferenceSalePrice: (object). Reference sale price.BasePrice: (double). Base priceQuota: (double). CommissionTotal: (double). Total
Discount: (object). Commercial discount.BasePrice: (double). Base priceQuota: (double). CommissionTotal: (double). Total
Commission: (object). Partner cost.BasePrice: (double). Base priceQuota: (double). CommissionTotal: (double). Total
SalePrice: (object). Sale price.BasePrice: (double). Base priceQuota: (double). CommissionTotal: (double). Total
-
Success: (boolean). Value that indicates whether the call was processed correctly or not. Errors: (list). Array of errors.Error: (object).ErrorMessage: (string). Error message explaining why the request was not successful. If it was correct, it will returnnull.ErrorCode: (int). Code that identifies the error.
ErrorEntityBreakDown(list): list that contains objects with the name and ID in case of error.Id(string): identifierName(string): related name of the identifier.
Response example
Examples
{
"ExperticketSales": [
{
"Id": "5049250640429850462"
}
],
"Success": true
}
Additional HTTP headers
- This call accepts an additional header to indicate the partner user who is performing the sale:
| Header name | Header value |
|---|---|
AdminPartnerUserId |
AdminPartner user identifier |